%global forgeurl https://github.com/mosra/corrade
%global date 20231103
%global commit 4922edf269ce77efe073f6b750a34892e1f3c30d
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%forgemeta

Name:           corrade
Version:        2020.6
Release:        %autorelease
Summary:        C++11 multiplatform utility library
License:        MIT
URL:            %{forgeurl}
Source0:        %{forgesource}

# https://koji.fedoraproject.org/koji/taskinfo?taskID=108549164
ExcludeArch:  ppc64le s390x

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  ninja-build

%description
Corrade is a multiplatform utility library written in C++11/C++14. It's used as
a base for the Magnum graphics engine, among other things.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%forgeautosetup -p1

%build
%cmake -GNinja -DCMAKE_BUILD_TYPE=Release -DCORRADE_BUILD_TESTS=ON
%cmake_build

%install
%cmake_install

%check
SKIP_TESTS=
SKIP_TESTS+='UtilityPathTest|'
SKIP_TESTS+='UtilityDirectoryTest'
%ctest -E "$SKIP_TESTS"


%files
%license COPYING
%doc README.md
%{_libdir}/libCorrade*.so.2*

%files devel
%{_includedir}/Corrade/
%{_libdir}/libCorrade*.so
%dir %{_datadir}/cmake/Corrade
%{_datadir}/cmake/Corrade/*.cmake
%dir %{_datadir}/gdb/python
%dir %{_datadir}/gdb/python/corrade
%{_datadir}/gdb/python/corrade/*.py
%{_bindir}/corrade-rc

%changelog
%autochangelog
